%define prefix /usr
%define name hexalate
%define version 1.1.1
%define release %mkrel 1
%define url http://gottcode.org/hexalate/

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv3
Group:		Games/Puzzles
URL:		%{url}
Source:		http://gottcode.org/hexalate/%{name}-%{version}-src.tar.xz
Summary:	Hexalate is a color matching game
Summary(de):	Hexalate ist ein Farbabgleichspiel
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt5core-devel
BuildRequires:	qt5gui-devel
BuildRequires:	%{_lib}qt5base5-devel
BuildRequires:  %{_lib}qt5svg-devel
Obsoletes:	%name < %version

%description
The goal of the game is to rotate and position seven circles so that each touching 
line matches in color. You rotate circles by right clicking, and you move circles 
by dragging them. The game stores the positions and rotations of the circles across runs.


#german
%description -l de
Das Ziel des Spieles ist es,Kreise zu drehen und zu positionieren, so das alle aneinder 
berührende Linien die gleiche Farbe aufweisen. Die Kreise werden durch drücken der 
rechten Maustaste gedreht. Die Kreise bewegen sich durch ziehen der Maus. 


%prep

%setup -q -n %{name}-%{version}

%build

qmake PREFIX=%{prefix}

%make

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%{buildroot}


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=Hexalate
GenericName=Hexalate Game
GenericName[de]=Hexalate Spiel
Comment=%{summary}
Comment[de]=%{summary}
Icon=%{name}
Exec=%{name} %F
Terminal=false
Categories=Game;LogicGame;X-MandrivaLinux-MoreApplications-Games-Puzzles;
EOF


%post
%{update_desktop_database}


%postun
%{clean_desktop_database}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog 
%{_bindir}/%{name}
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/translations/%{name}_*.qm
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man*/%{name}.*.bz2


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Sat Sep 30 2017 ghostbunny <ghostbunny at gmx dot de> 1.1.1-1pclos2017
- 1.1.1

* Fri Oct 21 2016 daniel <meisssw01 at gmail.com> 1.1.0-1pclos2016
- initial packages
